KM-PACKAGE-INSTALL(1)

NAME
km-package-install - Install a Keyman keyboard package

SYNOPSIS
km-package-install
 [-h] [-s] [-f KMPFILE] [-p PACKAGE] [-l LANGTAG] [--force] [--version] [-v] [-vv]

DESCRIPTION
Install a Keyman keyboard package, either a local .kmp file or specify a keyboard id to download and install, optionally specifying a language for which to install the keyboard.

  options:

-h, --help
    show this help message and exit

-s, --shared
    Install to shared area /usr/local

-f, --file KMPFILE
    Keyman kmp file

-p, --package PACKAGE
    Keyman package id

-l, --bcp47 LANGTAG
    bcp47 language tag

--force
    force installation of keyboard even if it is a downgrade to an older version of the keyboard

--version
    show program's version number and exit

-v, --verbose
    verbose logging

-vv, --veryverbose
    very verbose logging

Example: km-package-install -s -p sil_el_ethiopian_latin --bcp47 ssy-latn

TAB COMPLETION

You may use tab completion to find keyboard packages to install. The list comes from the network so there may be a small delay before tab completion will work the first time you use it. The list of packages is cached for one week.

The list is the full list including keyboards that do not work on Linux, so they won't necessarily install.

SEE ALSO
km-config(1) km-package-list-installed(1) km-package-uninstall(1)